Subject: Re: bug#79058: 30.1; involking signal using emacsclient takes very long time to complete ~2 seconds

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Jul 2025 16:37:07 +0300

> Cc: [email-masked]
> Date: Sun, 20 Jul 2025 16:30:40 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Bror Winther <[email-masked]>
> > Date: Sun, 20 Jul 2025 14:58:06 +0200
> > Cc: [email-masked]
> > 
> > Oh. Okay. I understand that this is probably not the best place to discuss
> > features but having such a delay configurable would be nice. I have created a
> > small patch. What email should I send it to?
> 
> Post it to this very discussion thread.

Btw, would you mind telling why it is important to have a script that
yields an error message finish quickly?  Scripts don't usually emit
errors, and when they do, the error should be clearly visible before
it disappears from sight.